Package picard.analysis

# Class CollectWgsMetrics.CollectWgsMetricsIntervalArgumentCollection

java.lang.Object
picard.analysis.CollectWgsMetrics.CollectWgsMetricsIntervalArgumentCollection

All Implemented Interfaces:
  `IntervalArgumentCollection`

Enclosing class:
  CollectWgsMetrics

public static class CollectWgsMetrics.CollectWgsMetricsIntervalArgumentCollection extends Object implements IntervalArgumentCollection

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`INTERVALS`

## Constructor Summary

Constructors
Constructor
Description
`CollectWgsMetricsIntervalArgumentCollection()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getIntervalFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INTERVALS

@Argument(doc="An interval list file that contains the positions to restrict the assessment. Please note that all bases of reads that overlap these intervals will be considered, even if some of those bases extend beyond the boundaries of the interval. The ideal use case for this argument is to use it to restrict the calculation to a subset of (whole) contigs.", optional=true) public File INTERVALS

## Constructor Details

### CollectWgsMetricsIntervalArgumentCollection

public CollectWgsMetricsIntervalArgumentCollection()

## Method Details

### getIntervalFile

public File getIntervalFile()

Specified by:
  `getIntervalFile` in interface `IntervalArgumentCollection`
Returns:
  The interval file provided by the user, if any, or the default, if any.